EPD Extension Kit for MSP430 LaunchPad

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
EPD_COG_partial_update_V110.c File Reference

The partial update waveform of driving processes and updating stages of G1 COG with V110 EPD. More...

`#include "EPD_COG_process.h"`

## Macros
#define | _flash_line_size 64

## Functions
void | read_flash (long Address, uint8_t *target_address, uint8_t byte_length)
| Read Flash data into buffer. More...
void | write_flash (long Address, uint8_t *source_address, uint8_t byte_length)
| Write Flash data from buffer. More...
void | erase_image (long address, uint8_t ptype)
| To erase the image data. More...
void | EPD_display_partialupdate (uint8_t EPD_type_index, long previous_image_address, long new_image_address, long mark_image_address, EPD_read_flash_handler On_EPD_read_flash)
| Write image data from Flash memory to the EPD using partial update. More...

## Detailed Description

The partial update waveform of driving processes and updating stages of G1 COG with V110 EPD.

Copyright (c) 2012-2013 Pervasive Displays Inc. All rights reserved.

Authors: Pervasive Displays Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

void EPD_display_partialupdate | ( | uint8_t | EPD_type_index,
|  | long | previous_image_address,
|  | long | new_image_address,
|  | long | mark_image_address,
|  | EPD_read_flash_handler | On_EPD_read_flash
| ) |  |

Write image data from Flash memory to the EPD using partial update.

Parameters

  EPD_type_index | The defined EPD size
  previous_image_address | The previous image address
  new_image_address | The new (canvas) image address
  mark_image_address | The mark image address
  On_EPD_read_flash | Developer needs to create an external function to read flash

partial update uses two stages: black/white and new image

Power off COG Driver

Save image combines with ASCII text

void erase_image | ( | long | address,
|  | uint8_t | EPD_size
| ) |  |

To erase the image data.

Parameters

  address | The start address to be erased
  EPD_size | The EPD size

void read_flash | ( | long | flash_address,
|  | uint8_t * | target_buffer,
|  | uint8_t | byte_length
| ) |  |

Read Flash data into buffer.

Parameters

  flash_address | The start address of Flash
  target_buffer | The target address of buffer will be read
  byte_length | The data length will be read

void write_flash | ( | long | flash_address,
|  | uint8_t * | source_address,
|  | uint8_t | byte_length
| ) |  |

Write Flash data from buffer.

Parameters

  flash_address | 32 bit flash memory address
  source_address | The source address of buffer will be written
  byte_length | The data length will be read